package com.uas.finance.service;

import com.uas.finance.model.FinancingApply;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.ui.ModelMap;

import java.util.List;

/**
 * 金融保理service层
 * created by shicr on 2017/12/21
 **/
public interface FinancingApplyService {

    /**
     * 保存金融保理单
     *
     * @param financingApply
     * @return
     */
    FinancingApply save(FinancingApply financingApply);

    /**
     * 根据保理UU和下载状态查找金融保理单
     *
     * @param enuu
     * @param status
     * @return
     */
    List<FinancingApply> findByFaenuuAndErpstatus(Long enuu, Integer status);

    /**
     * 根据id查找某金融保理单
     *
     * @param id
     * @return
     */
    FinancingApply findOne(Long id);

    /**
     * 根据企业UU查找金融保理单
     *
     * @param enuu
     * @return
     */
    List<FinancingApply> findByEnuu(Long enuu);

    /**
     * 判断该企业下有没有审核通过的金融保单
     *
     * @param enuu
     * @return
     */
    ModelMap getHistory(Long enuu);

    /**
     * 确认客户资料
     * @param id
     * @return
     */
    void checkInfo(Long id);


    /**
     * 找到英唐保理下所有保理单据
     * @param enuu
     * @return
     */
    List<FinancingApply> findByFauu(Long enuu);
}
